###################################################
# TAG=prob

# echo "Options"
# for lr in 3e-4 1e-3 3e-3; do
#     for wd in .1 .2 .5; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 echo ${lr}, ${wd}, ${blk}, ${ep}
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 3e-4 1e-3 3e-3; do
#     for wd in .1 .2 .5; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 if [ -f $TARGET_FILE ]; then
#                     LOG=$JOB_DIR/log.txt
#                     top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                     top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                     echo $top1, $top5
#                 else
#                     echo ""
#                 fi
#             done
#         done
#     done
# done
# echo "###################################################"
# TAG=vis

# echo "Options"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 echo ${lr}, ${wd}, ${blk}, ${ep}
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 if [ -f $TARGET_FILE ]; then
#                     LOG=$JOB_DIR/log.txt
#                     top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                     top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                     echo $top1, $top5
#                 else
#                     echo ""
#                 fi
#             done
#         done
#     done
# done
# echo "###################################################"
# TAG=base

# echo "Options"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 echo ${lr}, ${wd}, ${blk}, ${ep}
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 if [ -f $TARGET_FILE ]; then
#                     LOG=$JOB_DIR/log.txt
#                     top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                     top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                     echo $top1, $top5
#                 else
#                     echo ""
#                 fi
#             done
#         done
#     done
# done
# echo "###################################################"
# TAG=huge

# echo "Options"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 echo ${lr}, ${wd}, ${blk}, ${ep}
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 6 12; do
#             for ep in 20 50 100; do
#                 JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}
#                 TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                 if [ -f $TARGET_FILE ]; then
#                     LOG=$JOB_DIR/log.txt
#                     top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                     top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                     echo $top1, $top5
#                 else
#                     echo ""
#                 fi
#             done
#         done
#     done
# done
# echo "###################################################"
# TAG=joint

# echo "Options"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 12; do
#             for ep in 20 50; do
#                 for mlc in 10. 1. .1 .01 .001 0.; do
#                     JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}_mlc${mlc}
#                     TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                     echo ${lr}, ${wd}, ${blk}, ${ep}, ${mlc}
#                 done
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 12; do
#             for ep in 20 50; do
#                 for mlc in 10. 1. .1 .01 .001 0.; do
#                     JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}_mlc${mlc}
#                     TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                     if [ -f $TARGET_FILE ]; then
#                         LOG=$JOB_DIR/log.txt
#                         top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                         top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                         echo $top1, $top5
#                     else
#                         echo ""
#                     fi
#                 done
#             done
#         done
#     done
# done
# echo "###################################################"
# TAG=vis_joint

# echo "Options"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 12; do
#             for ep in 20 50; do
#                 for mlc in 10. 1. .1 .01 .001 0.; do
#                     JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}_mlc${mlc}
#                     TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                     echo ${lr}, ${wd}, ${blk}, ${ep}, ${mlc}
#                 done
#             done
#         done
#     done
# done
# echo "-----------------"
# echo "Results"
# for lr in 1e-3; do
#     for wd in .2; do
#         for blk in 12; do
#             for ep in 20 50; do
#                 for mlc in 10. 1. .1 .01 .001 0.; do
#                     JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_blk${blk}_ep${ep}_mlc${mlc}
#                     TARGET_FILE=$JOB_DIR/checkpoint-final.pth
#                     if [ -f $TARGET_FILE ]; then
#                         LOG=$JOB_DIR/log.txt
#                         top1=`tail -1 $LOG | jq -r ".test_acc1"`
#                         top5=`tail -1 $LOG | jq -r ".test_acc5"`
#                         echo $top1, $top5
#                     else
#                         echo ""
#                     fi
#                 done
#             done
#         done
#     done
# done
echo "###################################################"
TAG=aug_prob

echo "Options"
for lr in 1e-3 2e-3 5e-3; do
    for wd in .1 .2 .5; do
        for dp in .1; do
            for ep in 100; do
                JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_dp${dp}_ep${ep}
                TARGET_FILE=$JOB_DIR/checkpoint-final.pth
                echo ${lr}, ${wd}, ${dp}, ${ep}
            done
        done
    done
done
echo "-----------------"
echo "Results"
for lr in 1e-3 2e-3 5e-3; do
    for wd in .1 .2 .5; do
        for dp in .1; do
            for ep in 100; do
                JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_dp${dp}_ep${ep}
                TARGET_FILE=$JOB_DIR/checkpoint-final.pth
                if [ -f $TARGET_FILE ]; then
                    LOG=$JOB_DIR/log.txt
                    top1=`tail -1 $LOG | jq -r ".test_acc1"`
                    top5=`tail -1 $LOG | jq -r ".test_acc5"`
                    echo $top1, $top5
                else
                    echo ""
                fi
            done
        done
    done
done
echo "###################################################"
TAG=aug_vis

echo "Options"
for lr in 1e-3; do
    for wd in .2 .5; do
        for dp in 0. .1; do
            for ep in 20 50 100; do
                JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_dp${dp}_ep${ep}
                TARGET_FILE=$JOB_DIR/checkpoint-final.pth
                echo ${lr}, ${wd}, ${dp}, ${ep}
            done
        done
    done
done
echo "-----------------"
echo "Results"
for lr in 1e-3; do
    for wd in .2 .5; do
        for dp in 0. .1; do
            for ep in 20 50 100; do
                JOB_DIR=checkpoints/${TAG}_lr${lr}_wd${wd}_dp${dp}_ep${ep}
                TARGET_FILE=$JOB_DIR/checkpoint-final.pth
                if [ -f $TARGET_FILE ]; then
                    LOG=$JOB_DIR/log.txt
                    top1=`tail -1 $LOG | jq -r ".test_acc1"`
                    top5=`tail -1 $LOG | jq -r ".test_acc5"`
                    echo $top1, $top5
                else
                    echo ""
                fi
            done
        done
    done
done
